Name:          qtractor
Version:       1.5.6
Epoch:         1
Release:       1mamba
Summary:       A MIDI/Audio multi-track sequencer
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://qtractor.org/
Source:        http://downloads.sourceforge.net/sourceforge/qtractor/qtractor-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatkmm1-devel
BuildRequires: libaubio-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm10-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libglvnd-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtkmm2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjack-devel
BuildRequires: liblilv-devel
BuildRequires: liblo-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm1-devel
BuildRequires: librubberband-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsigc++2-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: ladspa-devel

%description
Qtractor is a MIDI/Audio multi-track sequencer application written in C++ around the Qt toolkit.


%prep
%setup -q

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

## warning: this overwrites installed qtractor.desktop 
##          (notice it might get translations itself in future)
#cat > %{buildroot}/%{_datadir}/applications/qtractor.desktop << EOF
#[Desktop Entry]
#Name=qtractor
#GenericName=A MIDI/audio multitrack sequencer
#GenericName[it]=Sequencer MIDI/Audio multitraccia
#Comment=Qtractor is an Audio/MIDI multi-track sequencer application
#Comment[it]=Qtractor è un sequencer Audio/MIDI multi-traccia
#Exec=%{_bindir}/qtractor
#Type=Application
#Terminal=0
#Icon=qtractor
#Categories=Application;AudioVideo;Audio;Multimedia;Music;
#EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
:

%postun
if [ $? -eq 0 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
:

%files
%defattr(-,root,root)
%{_bindir}/qtractor
%{_libdir}/qtractor/qtractor_plugin_scan
%{_datadir}/applications/org.rncbc.qtractor.desktop
%{_datadir}/metainfo/org.rncbc.qtractor.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.qtractor.xml
%dir %{_datadir}/qtractor
%{_datadir}/qtractor/audio/*.wav
%dir %{_datadir}/qtractor/instruments
%{_datadir}/qtractor/instruments/Standard1.ins
%dir %{_datadir}/qtractor/palette
%{_datadir}/qtractor/palette/KXStudio.conf
%{_datadir}/qtractor/palette/Wonton*Soup.conf
%dir %{_datadir}/qtractor/translations
%lang(cs) %{_datadir}/qtractor/translations/qtractor_cs.qm
%lang(de) %{_datadir}/qtractor/translations/qtractor_de.qm
%lang(es) %{_datadir}/qtractor/translations/qtractor_es.qm
%lang(fr) %{_datadir}/qtractor/translations/qtractor_fr.qm
%lang(it) %{_datadir}/qtractor/translations/qtractor_it.qm
%lang(ja) %{_datadir}/qtractor/translations/qtractor_ja.qm
%lang(pt_BR) %{_datadir}/qtractor/translations/qtractor_pt_BR.qm
%lang(ru) %{_datadir}/qtractor/translations/qtractor_ru.qm
%lang(uk) %{_datadir}/qtractor/translations/qtractor_uk.qm
%{_mandir}/man1/qtractor.1*
%lang(fr) %{_mandir}/fr/man1/qtractor.1*
%{_datadir}/icons/hicolor/32x32/apps/org.rncbc.qtractor.png
%{_datadir}/icons/hicolor/32x32/mimetypes/org.rncbc.qtractor.application-x-qtractor-*.png
%{_datadir}/icons/hicolor/scalable/apps/org.rncbc.qtractor.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/org.rncbc.qtractor.application-x-qtractor-*.svg
%doc LICENSE

%changelog
* Sat Jun 07 2025 Automatic Build System <autodist@openmamba.org> 1.5.6-1mamba
- automatic version update by autodist

* Fri May 23 2025 Automatic Build System <autodist@openmamba.org> 1.5.5-1mamba
- automatic version update by autodist

* Sat Apr 05 2025 Automatic Build System <autodist@openmamba.org> 1.5.4-1mamba
- automatic version update by autodist

* Mon Feb 10 2025 Automatic Build System <autodist@openmamba.org> 1.5.3-1mamba
- automatic version update by autodist

* Sat Jan 18 2025 Automatic Build System <autodist@openmamba.org> 1.5.2-1mamba
- automatic version update by autodist

* Mon Dec 30 2024 Automatic Build System <autodist@openmamba.org> 1.5.1-1mamba
- automatic version update by autodist

* Tue Dec 17 2024 Automatic Build System <autodist@openmamba.org> 1.5.0-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 1.4.0-1mamba
- automatic version update by autodist

* Fri Oct 04 2024 Automatic Build System <autodist@openmamba.org> 1.3.0-1mamba
- automatic version update by autodist

* Fri Aug 30 2024 Automatic Build System <autodist@openmamba.org> 1.2.0-1mamba
- automatic version update by autodist

* Mon Aug 05 2024 Automatic Build System <autodist@openmamba.org> 1.1.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2024 Automatic Build System <autodist@openmamba.org> 1.1.0-1mamba
- automatic version update by autodist

* Sat Jun 22 2024 Automatic Build System <autodist@openmamba.org> 1.0.0-1mamba
- automatic version update by autodist

* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 0.9.91-1mamba
- automatic version update by autodist

* Mon Apr 15 2024 Automatic Build System <autodist@openmamba.org> 0.9.90-1mamba
- automatic version update by autodist

* Sat Jan 27 2024 Automatic Build System <autodist@openmamba.org> 0.9.39-1mamba
- automatic version update by autodist

* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 0.9.38-1mamba
- automatic version update by autodist

* Wed Dec 06 2023 Automatic Build System <autodist@mambasoft.it> 0.9.37-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 0.9.36-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 0.9.35-1mamba
- automatic version update by autodist

* Thu Jun 08 2023 Automatic Build System <autodist@mambasoft.it> 0.9.34-1mamba
- automatic version update by autodist

* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 0.9.33-1mamba
- automatic version update by autodist

* Sun Mar 26 2023 Automatic Build System <autodist@mambasoft.it> 0.9.32-1mamba
- automatic version update by autodist

* Thu Jan 26 2023 Automatic Build System <autodist@mambasoft.it> 0.9.31-1mamba
- automatic version update by autodist

* Fri Dec 30 2022 Automatic Build System <autodist@mambasoft.it> 0.9.30-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 0.9.29-1mamba
- automatic version update by autodist

* Sat Sep 03 2022 Automatic Build System <autodist@mambasoft.it> 0.9.28-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 0.9.27-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 0.9.26-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 0.9.25-1mamba
- automatic version update by autodist

* Mon Oct 18 2021 Automatic Build System <autodist@mambasoft.it> 0.9.24-1mamba
- automatic version update by autodist

* Thu Sep 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.23-1mamba
- update to 0.9.23

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 0.9.22-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 0.9.21-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 0.9.20-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 0.9.19-1mamba
- automatic version update by autodist

* Sat Oct 31 2020 Automatic Build System <autodist@mambasoft.it> 0.9.18-1mamba
- automatic version update by autodist

* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 0.9.17-1mamba
- automatic version update by autodist

* Sat Aug 08 2020 Automatic Build System <autodist@mambasoft.it> 0.9.16-1mamba
- automatic version update by autodist

* Mon Jun 29 2020 Automatic Build System <autodist@mambasoft.it> 0.9.15-1mamba
- automatic version update by autodist

* Sat May 09 2020 Automatic Build System <autodist@mambasoft.it> 0.9.14-1mamba
- automatic version update by autodist

* Sun Mar 29 2020 Automatic Build System <autodist@mambasoft.it> 0.9.13-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 0.9.12-1mamba
- automatic version update by autodist

* Sun Nov 10 2019 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Mon Oct 14 2019 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Wed Jul 24 2019 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Sat Jun 01 2019 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Tue Apr 16 2019 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Mon Apr 01 2019 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Fri Feb 08 2019 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Mon Dec 10 2018 Automatic Build System <autodist@mambasoft.it> 0.9.3-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Thu May 31 2018 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Fri Mar 23 2018 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic version update by autodist

* Sun Sep 17 2017 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Thu Oct 20 2016 Automatic Build System <autodist@mambasoft.it> 0.7.9-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 0.7.8-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 0.7.5-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 0.7.4-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Automatic Build System <autodist@mambasoft.it> 0.7.3-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Sat Oct 24 2015 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Fri Jul 31 2015 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 0.6.7-1mamba
- automatic version update by autodist

* Sun Apr 05 2015 Automatic Build System <autodist@mambasoft.it> 0.6.6-1mamba
- automatic version update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 0.6.5-1mamba
- automatic version update by autodist

* Wed Dec 03 2014 Automatic Build System <autodist@mambasoft.it> 0.6.4-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 0.6.3-1mamba
- automatic version update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Sat May 03 2014 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Sat Mar 29 2014 Automatic Build System <autodist@mambasoft.it> 0.6.0-1mamba
- automatic version update by autodist

* Fri Jan 03 2014 Automatic Build System <autodist@mambasoft.it> 0.5.12-1mamba
- automatic version update by autodist

* Wed Oct 09 2013 Automatic Build System <autodist@mambasoft.it> 0.5.11-1mamba
- automatic version update by autodist

* Wed Jul 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.10-1mamba
- update to 0.5.10

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 0.5.9-1mamba
- automatic version update by autodist

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 0.5.8-1mamba
- automatic version update by autodist

* Tue Jan 01 2013 Automatic Build System <autodist@mambasoft.it> 0.5.7-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 0.5.6-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.5.5-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Sat Jul 23 2011 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic update to 3.0.3.0 by autodist

* Fri Jan 28 2011 Automatic Build System <autodist@mambasoft.it> 0.4.8-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 0.4.7-1mamba
- automatic update by autodist

* Mon Aug 09 2010 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- automatic update by autodist

* Wed May 12 2010 Automatic Build System <autodist@mambasoft.it> 0.4.5-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.4.2-2mamba
- automatic rebuild by autodist

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic update by autodist

* Sat Mar 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- automatic update by autodist

* Sun Jan 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-2mamba
- desktop entry moved to music menu

* Sat Jan 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- automatic update by autodist

* Mon Feb 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- update to 0.1.0

* Fri Sep 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.5.702-1mamba
- update to 0.0.5.702
- desktop file moved to standard location

* Mon Dec 11 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1-1qilnx
- package created by autospec
